./net/mikutter, Simple, powerful, and moeful twitter client

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.5.15, Package name: ruby23-mikutter-3.5.15, Maintainer: tsutsui

Mikutter is a Twitter client aim for endsville Twitter client For all of
Miku-aholics and Twitter-holics.


Required to run:
[x11/ruby-gnome2-gtk] [devel/ruby-gettext] [security/ruby-oauth] [security/ruby-hmac] [www/ruby-httpclient] [misc/ruby-typed-array] [databases/ruby-moneta] [devel/ruby-delayer] [devel/ruby-delayer-deferred] [devel/ruby-memoist] [net/ruby-pluggaloid]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 611bcaa238244daaeaf9c9da35e5a24b5336abfe
RMD160: c32bd99b8e1f047e4452b3b68066417bafe84a98
Filesize: 2792.795 KB

Version history: (Expand)


CVS history: (Expand)


   2017-11-19 13:57:11 by Izumi Tsutsui | Files touched by this commit (2) | Package updated
Log message:
mikutter: update to 3.5.15.

Upstream change:

- use Ruby-GNOME2 3.2.0
   2017-11-12 17:27:23 by Izumi Tsutsui | Files touched by this commit (3) | Package updated
Log message:
mikutter: update to 3.5.14.

Upstream changes:

- Activity: possible crash if loading icon is complete after the record
            disappeared
- make URI decoding strategies expandable by plugins
 - this makes it possible to handle Windows paths by plugins
   2017-10-28 16:41:38 by Izumi Tsutsui | Files touched by this commit (2) | Package updated
Log message:
mikutter: update to 3.5.13.

Upstream changes:

- use ruby-gtk2 3.1.9 (thanks @Phenomer)
- activity plugin crash problem
- MIKUTTER_CONFROOT environment for Gemfile was dealt differently
  from mikutter itself
   2017-10-17 16:10:45 by Izumi Tsutsui | Files touched by this commit (2) | Package updated
Log message:
mikutter: update to 3.5.12.

Upstream changes:

- support an error response when the account is locked (thanks @sushi514)
- add an environment variable MIKUTTER_CONFROOT
- sweep legacy code
   2017-09-03 06:34:22 by Izumi Tsutsui | Files touched by this commit (3) | Package updated
Log message:
Update mikutter to 3.5.11.

Upstream changes:

- crash on startup if develop version (3.6) is never used
   2017-08-26 13:57:49 by Izumi Tsutsui | Files touched by this commit (4) | Package updated
Log message:
Update mikutter to 3.5.10.

pkgsrc changes:

- add a patch for workaround for upstream Redmine ticket #1064
- update dependencies per upstream Gemfile

Upstream changes:

- error messages about ja_KS locale on startup
- restrict version of Deferred to avoid issue on the latest one
- fix typo
- new functions for UserConfig
 - trigger 'userconfig_modify' events when UserConfig values are updated
 - abandon use of UserConfig.connect to avoid memory leak on some error paths
- crash in some case if actual timeline is not created
- specify gtk2 3.1.8
   2017-07-08 05:31:58 by Izumi Tsutsui | Files touched by this commit (3) | Package updated
Log message:
Update mikutter to 3.5.9.

pkgsrc changes:

- update dependencies per upstream Gemfile

Upstream changes:

- update twitter-text
- support the latest memoist
- fix crash with ruby-gnome2 3.1.1 or prior on opening profile tab
- wrong titles in Twitter Search Model and Web model
   2017-06-10 11:45:33 by Izumi Tsutsui | Files touched by this commit (9) | Package updated
Log message:
Update mikutter to 3.5.8.

pkgsrc changes:

- pull upstream fix for redmine ticket #1031 (twitpic gzipped xfer)
- pull changes to use delayer-deferred 2.0.0 for redmine ticket
  #916 (extra follow/follower activities) and
  #995 (abnormal cpu load with delayer-deferred 1.1.0)

Upstream changes:

- ruby-gnome2 3.1.6
- subcommands that create spec files don't accept . as a pathname
- free memories on loading images earlier
- avoid to use deprecated Gdk::PixbufLoader